Bug 1085245 - bicon resolution more then 640x480 when running ncurses application
Summary: bicon resolution more then 640x480 when running ncurses application
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bicon
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-08 08:05 UTC by Oren Oichman
Modified: 2015-02-18 11:15 UTC (History)
3 users (show)

Fixed In Version: bicon-0.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:15:19 UTC


Attachments (Terms of Use)
bicon in 640x480 (43.04 KB, image/png)
2014-04-11 06:02 UTC, fujiwara
no flags Details
the bicon command befor mutt/newsbeuter (85.07 KB, image/png)
2014-04-22 08:59 UTC, Oren Oichman
no flags Details
the bicon command after mutt/newsbeuter (23.49 KB, image/png)
2014-04-22 09:02 UTC, Oren Oichman
no flags Details

Description Oren Oichman 2014-04-08 08:05:40 UTC
Description of problem:

when running terminator with xfce4 on Fedora 19 when starting bicon everything seems to be normal but when running ncurses application the resolution for some reason changes to 640x480.
resizing the window and exiting the application does not help . only exiting bicon and reset the terminal helps

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 fujiwara 2014-04-11 06:02:27 UTC
Created attachment 885257 [details]
bicon in 640x480

It seems bicon works fine in my box.
Attached my screenshot.

Which ncurses application did you try?

gnome-screenshot can take the screenshot:
% gnome-screenshot -i

Comment 2 Oren Oichman 2014-04-22 08:58:02 UTC
Hay ,

I am using XFCE4 with terminator (terminal application) and mutt for my email ,

I am attaching a screenshot of before and after
I am getting it with more then one application 

the same thing occur with newsbeuter

Comment 3 Oren Oichman 2014-04-22 08:59:15 UTC
Created attachment 888396 [details]
the bicon command befor mutt/newsbeuter

Comment 4 Oren Oichman 2014-04-22 09:02:32 UTC
Created attachment 888397 [details]
the bicon command after mutt/newsbeuter

after I am exiting bicon and run the reset command the terminal goes back to normal size

Comment 5 fujiwara 2014-04-24 07:33:21 UTC
I don't see any problems with mutt or newsbeuter.

Comment 6 Oren Oichman 2014-04-24 08:13:47 UTC
Hay,

is there any more direction I can check to see the why my resolution is very small when working with bicon and ncurses application ?

Comment 7 fujiwara 2014-04-25 10:28:16 UTC
I have no idea.
You may like to ask upstream directly:
http://projects.arabeyes.org/project.php?proj=BiCon

Comment 8 Oren Oichman 2014-04-30 10:25:31 UTC
Hi,

I have did some investigation and a notice that the $COLUMNS and $LINES have changes after I run the bicon command.
if I set them manually then the ncurses application run as it should 

me@localhost ~ $ echo $LINES
49
me@localhost ~ $ echo $COLUMNS
140 
me@localhost ~ $ bicon
BiCon started
me@localhost ~ $  echo $LINES
24
me@localhost ~ $  echo $COLUMNS
80

is there anything that can be done to preserve the right values ?

thanks in advanced

Comment 9 fujiwara 2014-05-01 08:06:57 UTC
(In reply to Oren Oichman from comment #8)
> me@localhost ~ $ echo $LINES
> 49
> me@localhost ~ $ echo $COLUMNS
> 140 
> me@localhost ~ $ bicon
> BiCon started
> me@localhost ~ $  echo $LINES
> 24
> me@localhost ~ $  echo $COLUMNS
> 80

I don't see that change when bicon starts.
But I saw LINES and COLUMNS are reset when bicon exits.

I noticed $HOME/.bashrc is loaded when bicon starts.
Your login script might change that values.

BTW, bicon is a wrapper shell script and it calls bicon.bin

Comment 10 Fedora Update System 2014-07-29 04:03:30 UTC
bicon-0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bicon-0.4-1.fc19

Comment 11 fujiwara 2014-07-29 04:06:24 UTC
Could you check if your problem exists in bicon 0.4?

Comment 12 fujiwara 2014-08-07 02:36:57 UTC
Since no reply, I close this with the update and will integrate the new bicon in f19 too later.

Comment 13 Fedora Update System 2014-08-15 02:48:09 UTC
bicon-0.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Oren Oichman 2015-01-01 09:32:39 UTC
Hi,

the problem still presist

I did a workaround in the bashrc file :

[[ -z $lines ]] && export lines=$LINES
[[ -z $columns ]] && export columns=$COLUMNS

if [[ $COLUMNS != $columns ]] && [[ ! -z $columns ]] ; then export COLUMNS=$columns; fi
if [[ $LINES != $lines ]] && [[ ! -z $lines ]] ; then export  LINES=$lines; fi

for some reason the base values are 24x80

is there a why to change the defualt values

Comment 15 fujiwara 2015-01-05 06:10:32 UTC
I don't see the default values in my view.
It would be good for you to file a bug in upstream since I cannot reproduce your bug:
http://projects.arabeyes.org/project.php?proj=BiCon

Comment 16 Fedora End Of Life 2015-01-09 22:37:10 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-02-18 11:15:19 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.